#! /bin/sh
set -ex
rm -f tcc

touch config.mak
make clean
rm -f crt*.o
crt1=$(gcc --print-file-name=crt1.o)
unset ONE_SOURCE

CPPFLAGS_TCC="
-DHAVE_FLOAT=1
-DHAVE_BITFIELD=1
-DHAVE_LONG_LONG=1
-DHAVE_SETJMP=1
"

./configure --tccdir=$PWD --crtprefix=$crtdir --extra-cflags="$CPPFLAGS_TCC"
type -p etags && make ETAGS
unset CFLAGS LDFLAGS
make PROGRAM_PREFIX=gcc- gcc-tcc
make libtcc1.a
